Bug 50559 - keymap of USB 109 keyboard is wrong
keymap of USB 109 keyboard is wrong
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 03:45 EDT by Bill Huang
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 22:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2001-08-01 03:45:51 EDT
Description of Problem:
Keymap of USB 109 keyboard is wrong.

How Reproducible:
Always

Steps to Reproduce:
1.try to use key "\","/",etc. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
For end user,if the two steps below are done,the problem can be solved.
1)/etc/X11/Xmodmap

keycode 131 = backslash bar
keycode 132 = Hiragana_katakana Romaji
keycode 133 = backslash underscore
keycode 134 = Henkan_mode Mode_switch
keycode 135 = Muhenkan

2)
setkeycodes e003 89
setkeycodes e005 124

And steps below are done can solve the problem.

1)USB109 entry should be added

/usr/X11R6/lib/X11/xkb/rules/xfree86
/usr/X11R6/lib/X11/xkb/keycodes/xfree86

2)/usr/src/linux-2.4/drivers/char/pc_keyb.c

valuese of e0_keys[128] should use code for scancode
Comment 1 Matt Wilson 2001-08-01 11:31:09 EDT
this needs to be split into bugs for each component that needs changes. It is
not an anaconda bug.  File bugs against kernel and XFree86
Comment 2 Nakai 2001-08-02 10:50:39 EDT
Re-close. Do separate as Matt says.
Xmodmap is not kernel issue.

Note You need to log in before you can comment on or make changes to this bug.